Subject: Re: [PATCH] mailinfo.c: move side-effects outside of assert

From: Johannes Schindelin <[email-masked]>
Date: Tue, 20 Dec 2016 15:12:35 +0100 (CET)

Hi Kyle,

On Mon, 19 Dec 2016, Kyle J. McKay wrote:

> On Dec 19, 2016, at 09:45, Johannes Schindelin wrote:
> 
> >ACK. I noticed this problem (and fixed it independently as a part of a
> >huge patch series I did not get around to submit yet) while trying to
> >get Git to build correctly with Visual C.
> 
> Does this mean that Dscho and I are the only ones who add -DNDEBUG for
> release builds?  Or are we just the only ones who actually run the test
> suite on such builds?

It seems you and I are for the moment the only ones bothering with running
the test suite on release builds.

Ciao,
Johannes